> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.kotanipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Public Exchange Rates

> Public endpoint for getting all available exchange rates. Useful for dropdown displays or rate comparison.

Get all available exchange rates without authentication. Useful for dropdown displays or rate comparison.


## OpenAPI

````yaml GET /api/v3/public/rate
openapi: 3.0.0
info:
  title: KOTANI PAY API PLATFORM
  description: ''
  version: '3.0'
  contact: {}
servers:
  - url: https://sandbox-api.kotanipay.io
    description: Sandbox
security: []
tags: []
paths:
  /api/v3/public/rate:
    get:
      tags:
        - PUBLIC RATES
      summary: Get all public exchange rates (no auth required)
      description: >-
        Public endpoint for getting all available exchange rates. Useful for
        dropdown displays or rate comparison.
      operationId: PublicRateController_getPublicRates_api/v3
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Available exchange rates.
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/RateResponseDto'
components:
  schemas:
    RateResponseDto:
      type: object
      properties:
        from:
          type: string
          description: From currency
          example: USD
        to:
          type: string
          description: To currency
          example: EUR
        value:
          type: string
          description: Rate value
          example: '0.85'
      required:
        - from
        - to
        - value

````